# IpeObjectFactory Class Reference
[Ipe Management]

Ipe object factory. More...

List of all members.

## Static Public Member Functions

- IpeObject * CreateObject (IpeRepository *rep, IpeString name, const IpeXmlAttributes &attr, IpeString data)
- IpeObject * CreateImage (IpeRepository *rep, IpeString name, const IpeXmlAttributes &attr, IpeBitmap bitmap)

## Detailed Description

Ipe object factory.

## Member Function Documentation

IpeObject * IpeObjectFactory::CreateObject | ( | IpeRepository * | rep,
|  | IpeString | name,
|  | const IpeXmlAttributes & | attr,
|  | IpeString | data
| ) | `[static]`

| Create an Ipe object by calling the right constructor.

IpeObject * IpeObjectFactory::CreateImage | ( | IpeRepository * | rep,
|  | IpeString | name,
|  | const IpeXmlAttributes & | attr,
|  | IpeBitmap | bitmap
| ) | `[static]`

| Create an IpeImage with a given bitmap.

The documentation for this class was generated from the following files:

- ipefactory.h
- ipefactory.cpp